Subject: Re: [Spasm] Add SHA-3 to PKIX

From: Nikos Mavrogiannopoulos <[email-masked]>
Date: Wed, 01 Mar 2017 11:00:24 +0100

On Mon, 2017-02-27 at 18:07 -0500, Phillip Hallam-Baker wrote:
> > In addition, the LAMPS Working Group may investigate other
> > updates to
> > > the documents produced by the PKIX and S/MIME Working Groups, but
> > the
> > > LAMPS Working Group shall not adopt any of these potential work
> > items
> > > without rechartering. No such re-chartering is envisaged until
> > one or
> > > more of the above work items have been successfully delivered to
> > the RFC
> > > editor queue.
> > 
> > Since our first document is in IESG Evaluation and the other two
> > are in WG Last Call, I would expect that this criteria will be met
> > shortly.
> 
> I agree about not wanting to document stuff that is not going to be
> used.
> 
> The point of this is to get a sounding from the parties that would be
> doing the deployment in CABForum. To pass a ballot has to have a
> majority of the Browsers and 2/3rd of the CAs.
> 
> We can't hold a ballot on adding anything to the approved algorithms
> until we have the RFC. But we can have a motion of intent to do so.

I second that. Note also that I already have an implementation of SHA3
for PKIX certificates.

regards,
Nikos

---

From: Russ Housley <[email-masked]>
Date: Wed, 1 Mar 2017 10:32:29 -0500

> On Mar 1, 2017, at 5:00 AM, Nikos Mavrogiannopoulos <[email-masked]> wrote:
> 

Did you assign your own OIDs?

Russ

---

From: Nikos Mavrogiannopoulos <[email-masked]>
Date: Wed, 01 Mar 2017 16:54:44 +0100

> Did you assign your own OIDs?

I have used the NIST OIDs.

regards,
Nikos

---

From: Sean Leonard <[email-masked]>
Date: Fri, 31 Mar 2017 17:29:34 -0500

> On Mar 1, 2017, at 9:54 AM, Nikos Mavrogiannopoulos <[email-masked]> wrote:
> 

I would implement it (SHA-3) as well, and I would use the NIST OIDs.

Regards,

Sean